# Add this fragment to your .profile or .bash_profile so that it
# runs when you log in.

SSHAGENTD=${HOME}/bin/sshagentd.pl
if [ "${TERM}" = "xterm" -a ! -f ${HOME}/.noscreen ] ;then
  # Candidate to run screen...
  if [ -f ${HOME}/.screenlogin ] ;then
    PROCID=`head -1 ${HOME}/.screenlogin`
    PROCNAME=`grep bash /proc/$PROCID/stat 2>>/dev/null`
    COUNT=10
    echo -n "Waiting for screen to become available..."
    while [ "${PROCNAME}" != "" -a ${COUNT} -gt 0 ] ;do
      echo -n "."
      PROCID=`head -1 ${HOME}/.screenlogin`
      PROCNAME=`grep bash /proc/$PROCID/stat 2>>/dev/null`
      COUNT=`expr ${COUNT} - 1`
      sleep 1
    done
    echo ""
  fi
  echo $$ >> ${HOME}/.screenlogin
  ${SSHAGENTD}
  DET=`screen -list | grep 'Detached' | sed '
        s/^[    ]*//
        s/[     ].*$//
        ' | head -1`
  if [ "${DET}" != "" ] ;then
    exec screen -r ${DET}
  else
    exec screen -l /bin/bash -l
  fi
fi
rm -f ${HOME}/.screenlogin

